Bug 849361 - [abrt] ffgtk-0.8.3-2.fc17: strcmp: Process /usr/bin/ffgtk was killed by signal 11 (SIGSEGV)
[abrt] ffgtk-0.8.3-2.fc17: strcmp: Process /usr/bin/ffgtk was killed by signa...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: ffgtk (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Louis Lagendijk
Fedora Extras Quality Assurance
abrt_hash:dafbdcd9393463f3496da9bdc89...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-18 15:09 EDT by paulomarcelo
Modified: 2013-07-31 23:04 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 23:04:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: event_log (20.05 KB, text/plain)
2012-08-18 15:09 EDT, paulomarcelo
no flags Details
File: backtrace (89.00 KB, text/plain)
2012-08-18 15:09 EDT, paulomarcelo
no flags Details
File: xsession_errors (12.48 KB, text/plain)
2012-08-18 15:09 EDT, paulomarcelo
no flags Details
File: maps (60.04 KB, text/plain)
2012-08-18 15:09 EDT, paulomarcelo
no flags Details
File: dso_list (12.90 KB, text/plain)
2012-08-18 15:09 EDT, paulomarcelo
no flags Details
File: build_ids (5.04 KB, text/plain)
2012-08-18 15:09 EDT, paulomarcelo
no flags Details

  None (edit)
Description paulomarcelo 2012-08-18 15:09:18 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        ffgtk
crash_function: strcmp
executable:     /usr/bin/ffgtk
kernel:         3.4.5-2.fc17.x86_64
pid:            23583
pwd:            /home/paulomarcelo
remote_result:  NOTFOUND
time:           Sáb 18 Ago 2012 15:52:48 BRT
uid:            1000
username:       paulomarcelo

backtrace:      Text file, 91141 bytes
build_ids:      Text file, 5166 bytes
dso_list:       Text file, 13209 bytes
event_log:      Text file, 20536 bytes
maps:           Text file, 61477 bytes
xsession_errors: Text file, 12778 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/paulomarcelo/13

core_backtrace:
:ebc779125d37b2b0595730b6d78d477fe7b6bc53 0x139faa __strcmp_ssse3 libc.so.6 -
:5eca10f372eaf2601c1c75c4bb62d61b9435cd1c 0x1ee88 loadProfile [exe] -
:5eca10f372eaf2601c1c75c4bb62d61b9435cd1c 0x214b3 preferences [exe] -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0xf664 g_closure_invoke libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x206d8 - libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x2866d g_signal_emit_valist libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:0008a6c4028b3826f8905324c770e7aa450e5d3b 0x2a251c gtk_widget_activate libgtk-3.so.0 -
:0008a6c4028b3826f8905324c770e7aa450e5d3b 0x195c3e gtk_menu_shell_activate_item libgtk-3.so.0 -
:0008a6c4028b3826f8905324c770e7aa450e5d3b 0x195fcb - libgtk-3.so.0 -
:0008a6c4028b3826f8905324c770e7aa450e5d3b 0x17afdf - libgtk-3.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0xf943 - libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x27d88 g_signal_emit_valist libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:0008a6c4028b3826f8905324c770e7aa450e5d3b 0x2a311e - libgtk-3.so.0 -
:0008a6c4028b3826f8905324c770e7aa450e5d3b 0x178fa6 - libgtk-3.so.0 -
:0008a6c4028b3826f8905324c770e7aa450e5d3b 0x17abb3 gtk_main_do_event libgtk-3.so.0 -
:29349187cb6cb5fdb5e8fcc5fd335ee39f110fdc 0x48e82 - libgdk-3.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x47695 g_main_context_dispatch libglib-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x479c8 - libglib-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x47dc2 g_main_loop_run libglib-2.0.so.0 -
:5eca10f372eaf2601c1c75c4bb62d61b9435cd1c 0x15b87 main [exe] -

environ:
:XDG_VTNR=2
:XDG_SESSION_ID=13
:HOSTNAME=casa104.jaua
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:QTDIR=/usr/lib64/qt-3.3
:GNOME_KEYRING_CONTROL=/run/user/paulomarcelo/keyring-daGegT
:QTINC=/usr/lib64/qt-3.3/include
:QT_GRAPHICSSYSTEM_CHECKED=1
:'IMSETTINGS_MODULE=X compose table'
:USER=paulomarcelo
:USERNAME=
:MAIL=/var/spool/mail/paulomarcelo
:PATH=/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/paulomarcelo/.local/bin:/home/paulomarcelo/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/paulomarcelo
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=22940
:LANG=pt_BR.utf8
:GDM_LANG=pt_BR.utf8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/paulomarcelo
:SHLVL=1
:LOGNAME=paulomarcelo
:QTLIB=/usr/lib64/qt-3.3/lib
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-GWqynz4Sqw,guid=01bc96954f2f857dae9872be0000667f
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=2
:XDG_RUNTIME_DIR=/run/user/paulomarcelo
:DISPLAY=:0.0
:XAUTHORITY=/var/run/gdm/auth-for-paulomarcelo-tBhfWw/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/22944,unix/unix:/tmp/.ICE-unix/22944
:GPG_AGENT_INFO=/run/user/paulomarcelo/keyring-daGegT/gpg:0:1
:SSH_AUTH_SOCK=/run/user/paulomarcelo/keyring-daGegT/ssh
:LC_TIME=pt_BR.utf8
:LC_NUMERIC=pt_BR.utf8
:LC_MONETARY=pt_BR.utf8
:LC_MEASUREMENT=pt_BR.utf8
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/ffgtk.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=23583
:DESKTOP_STARTUP_ID=gnome-panel-23163-casa104.jaua-ffgtk-0_TIME26251403

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 15858                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       15858                15858                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/paulomarcelo/.xsession-errors
:pos:	108790
:flags:	0102002
:2:/home/paulomarcelo/.xsession-errors
:pos:	108790
:flags:	0102002
:3:/home/paulomarcelo/.config/ffgtk/ffgtk.log
:pos:	6767
:flags:	0100002
:4:socket:[2163614]
:pos:	0
:flags:	02004002
:5:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:6:socket:[2163615]
:pos:	0
:flags:	02004002
:7:socket:[2163616]
:pos:	0
:flags:	02004002
:8:socket:[2163625]
:pos:	0
:flags:	02004002
:9:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:10:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:11:socket:[2163627]
:pos:	0
:flags:	02004002
:12:socket:[2163628]
:pos:	0
:flags:	02004002
:13:pipe:[2163629]
:pos:	0
:flags:	00
:14:pipe:[2163629]
:pos:	0
:flags:	01
:15:socket:[2165873]
:pos:	0
:flags:	02
:16:anon_inode:inotify
:pos:	0
:flags:	02004000
:17:socket:[2257574]
:pos:	0
:flags:	02004002
:18:anon_inode:[eventfd]
:pos:	0
:flags:	02004002

smolt_data:
:
:
:Geral
:=================================
:UUID: 48512c32-e0a0-4ab5-b944-ba89932841b5
:SO: Fedora release 17 (Beefy Miracle)
:Nível de execução padrão: Unknown
:Idioma: pt_BR.utf8
:Plataforma: x86_64
:BogoMIPS: 4388.75
:Fabricante da CPU: GenuineIntel
:Modelo da CPU: Intel(R) Core(TM)2 Duo CPU     E4500  @ 2.20GHz
:Versão da CPU: 13
:Família da CPU: 6
:Modelo da CPU: 15
:Número de CPUs: 2
:Velocidade da CPU: 2200
:Memória do sistema: 2003
:Swap do sistema: 4031
:Fabricante: LOGIN
:Sistema: 946GM-DS2 
:Fator de uso: Desktop
:Kernel: 3.4.5-2.fc17.x86_64
:SELinux habilitado: 1
:Politica do SELinux: targeted
:Modo de reforço do SELinux: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Dispositivos
:=================================
:(32902:10168:5208:20481) pci, None, PCI/ISA, 82801GB/GR (ICH7 Family) LPC Interface Bridge
:(32902:10202:5208:20481) pci, i801_smbus, SERIAL, GA-8I945PG-RH Mainboard
:(32902:10176:5208:45058) pci, ata_piix, STORAGE, N10/ICH7 Family SATA IDE Controller
:(32902:10192:5208:20481) pci, pcieport, PCI/PCI, N10/ICH 7 Family PCI Express Port 1
:(32902:10194:5208:20481) pci, pcieport, PCI/PCI, N10/ICH 7 Family PCI Express Port 2
:(32902:10200:5208:40962) pci, snd_hda_intel, MULTIMEDIA, N10/ICH 7 Family High Definition Audio Controller
:(4332:33128:5208:57344) pci, r8169, ETHERNET, GA-EP45-DS5 Motherboard
:(32902:9294:5208:20480) pci, None, PCI/PCI, GA-EP45-DS5 Motherboard
:(4318:1058:0:0) pci, nouveau, VIDEO, G86 [GeForce 8400 GS]
:(32902:10185:5208:20484) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #2
:(32902:10184:5208:20484) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #1
:(32902:10608:5208:20480) pci, None, HOST/PCI, 82946GZ/PL/GL Memory Controller Hub
:(32902:10186:5208:20484) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #3
:(32902:10187:5208:20484) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #4
:(32902:10188:5208:20486) pci, ehci_hcd, USB, N10/ICH 7 Family USB2 EHCI Controller
:(32902:10609:5208:20480) pci, pcieport, PCI/PCI, 82946GZ/PL/GL PCI Express Root Port
:
:
:Informações do sistema de arquivos
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_casa104-lv_root / ext4 4096 4096 12239555 10510367 10387836 3063808 2900994 2900994
:/dev/sda2 /boot ext4 1024 1024 508644 398058 372458 128016 127653 127653
:/dev/mapper/vg_casa104-lv_home /home ext4 4096 4096 6101981 3336191 3030220 1531904 1493921 1493921
:

var_log_messages:
:Aug 18 12:15:54 casa104 yum[8591]: Updated: ffgtk-0.8.3-2.fc17.x86_64
:Aug 18 15:52:48 casa104 kernel: [26693.766406] ffgtk[23583]: segfault at 0 ip 00007f8cdda42faa sp 00007fff5c180548 error 4 in libc-2.15.so[7f8cdd909000+1ac000]
:Aug 18 15:52:49 casa104 abrt[23822]: Saved core dump of pid 23583 (/usr/bin/ffgtk) to /var/spool/abrt/ccpp-2012-08-18-15:52:48-23583 (78340096 bytes)
Comment 1 paulomarcelo 2012-08-18 15:09:26 EDT
Created attachment 605373 [details]
File: event_log
Comment 2 paulomarcelo 2012-08-18 15:09:30 EDT
Created attachment 605374 [details]
File: backtrace
Comment 3 paulomarcelo 2012-08-18 15:09:32 EDT
Created attachment 605375 [details]
File: xsession_errors
Comment 4 paulomarcelo 2012-08-18 15:09:34 EDT
Created attachment 605376 [details]
File: maps
Comment 5 paulomarcelo 2012-08-18 15:09:36 EDT
Created attachment 605377 [details]
File: dso_list
Comment 6 paulomarcelo 2012-08-18 15:09:38 EDT
Created attachment 605378 [details]
File: build_ids
Comment 7 Fedora End Of Life 2013-07-03 19:55:54 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2013-07-31 23:04:42 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.